<?php 



session_start();



require_once ("../../config/Cado.php");

require_once ("../canjeproveedor/cCanjeproveedor.php");

$oCanjeproveedor = new cCanjeproveedor();



require_once ("../formatos/formato.php");



//defino una clase que voy a utilizar para generar los elementos sugeridos en autocompletar

class ElementoAutocompletar {

   var $id;

   var $value;

   var $label;

   var $documento;

   function __construct($id, $label, $value, $documento){

	  $this->id = $id;

      $this->label = $label;

      $this->value = $value;	

	  $this->documento = $documento;  

   }

}



//recibo el dato que deseo buscar sugerencias

$numdoc = $_GET["term"];

$prov = $_GET["prov"];

$emp = $_GET["emp"];

//busco un valor aproximado al dato escrito

$rs=$oCanjeproveedor->mostrar_documento_proveedor($prov,$emp,'',$numdoc);



//creo el array de los elementos sugeridos

$arrayElementos = array();



//bucle para meter todas las sugerencias de autocompletar en el array

while ($fila = mysqli_fetch_array($rs)){

	if($fila['tb_documento_abr']!='L' || $fila['tb_comprapago_con']==3 ){	



	if($fila['tb_moneda_id']==1){

		$lbl = 'S/';

	}else if($fila['tb_moneda_id']==2){

		$lbl = 'US$';

	}

	

   array_push($arrayElementos, new ElementoAutocompletar($fila["tb_comprapago_id"], $fila["tb_documento_abr"].' '.$fila["tb_compra_numdoc"].' | '.

   mostrarFecha($fila["tb_comprapago_fecven"]).' '.$lbl.' '.$fila["tb_comprapago_mon"].' | '. $fila['tb_proveedor_nom'],

   	$fila["tb_compra_numdoc"], $fila['tb_proveedor_doc']));

}

}



print_r(json_encode($arrayElementos));



?>